get app sandbox configs
curl --request GET \
--url https://api.nuon.co/v1/apps/{app_id}/sandbox-configs \
--header 'Authorization: <api-key>'import requests
url = "https://api.nuon.co/v1/apps/{app_id}/sandbox-configs"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.nuon.co/v1/apps/{app_id}/sandbox-configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"app_config_id": "<string>",
"app_id": "<string>",
"auto_approve_on_policies_passing": true,
"aws_region_type": "<string>",
"cloud_platform": "<string>",
"connected_github_vcs_config": {
"branch": "<string>",
"component_config_id": "<string>",
"component_config_type": "<string>",
"created_at": "<string>",
"created_by_id": "<string>",
"directory": "<string>",
"id": "<string>",
"path_filter": "<string>",
"repo": "<string>",
"repo_name": "<string>",
"repo_owner": "<string>",
"updated_at": "<string>",
"vcs_connection": {
"created_at": "<string>",
"created_by_id": "<string>",
"github_account_id": "<string>",
"github_account_name": "<string>",
"github_install_id": "<string>",
"id": "<string>",
"queues": [
{
"created_at": "<string>",
"created_by_id": "<string>",
"emitters": [
{
"created_at": "<string>",
"created_by_id": "<string>",
"cron_schedule": "<string>",
"description": "<string>",
"emit_count": 123,
"fired": true,
"id": "<string>",
"jitter_window": 123,
"last_emitted_at": "<string>",
"name": "<string>",
"next_emit_at": "<string>",
"org_id": "<string>",
"queue_id": "<string>",
"scheduled_at": "<string>",
"signal_expires_in": 123,
"signal_template": {
"signal": "<unknown>"
},
"signal_type": "<string>",
"status": {
"created_at_ts": 123,
"created_by_id": "<string>",
"history": "<array>",
"metadata": {},
"status_human_description": "<string>"
},
"updated_at": "<string>",
"workflow": {
"id": "<string>",
"namespace": "<string>",
"run_id": "<string>"
}
}
],
"id": "<string>",
"idle_timeout": 123,
"max_depth": 123,
"max_in_flight": 123,
"metadata": {},
"name": "<string>",
"org_id": "<string>",
"owner_id": "<string>",
"owner_type": "<string>",
"queue_signal": [
{
"callback": {
"namespace": "<string>",
"signal_name": "<string>",
"workflow_id": "<string>"
},
"callbacks": [
{
"namespace": "<string>",
"signal_name": "<string>",
"workflow_id": "<string>"
}
],
"created_at": "<string>",
"created_by_id": "<string>",
"emitter_id": "<string>",
"enqueued": true,
"execution_count": 123,
"expires_at": "<string>",
"id": "<string>",
"org_id": "<string>",
"owner_id": "<string>",
"owner_type": "<string>",
"queue": "<unknown>",
"queue_id": "<string>",
"signal": {
"signal": "<unknown>"
},
"signal_context": {
"account_id": "<string>",
"log_stream_id": "<string>",
"org_id": "<string>",
"trace_id": "<string>"
},
"status": {
"created_at_ts": 123,
"created_by_id": "<string>",
"history": "<array>",
"metadata": {},
"status_human_description": "<string>"
},
"type": "<string>",
"updated_at": "<string>",
"workflow": {
"id": "<string>",
"namespace": "<string>",
"run_id": "<string>"
}
}
],
"status_v2": {
"created_at_ts": 123,
"created_by_id": "<string>",
"history": "<array>",
"metadata": {},
"status_human_description": "<string>"
},
"updated_at": "<string>",
"workflow": {
"id": "<string>",
"namespace": "<string>",
"run_id": "<string>"
}
}
],
"status": {
"created_at_ts": 123,
"created_by_id": "<string>",
"history": "<array>",
"metadata": {},
"status_human_description": "<string>"
},
"updated_at": "<string>",
"vcs_connection_commit": [
{
"author_email": "<string>",
"author_name": "<string>",
"created_at": "<string>",
"created_by_id": "<string>",
"id": "<string>",
"message": "<string>",
"owner_id": "<string>",
"owner_type": "<string>",
"sha": "<string>",
"updated_at": "<string>",
"vcs_connection_id": "<string>"
}
]
},
"vcs_connection_id": "<string>"
},
"created_at": "<string>",
"created_by_id": "<string>",
"drift_schedule": "<string>",
"env_vars": {},
"id": "<string>",
"max_auto_retries": 123,
"operation_roles": {},
"org_id": "<string>",
"public_git_vcs_config": {
"branch": "<string>",
"component_config_id": "<string>",
"component_config_type": "<string>",
"created_at": "<string>",
"created_by_id": "<string>",
"directory": "<string>",
"id": "<string>",
"path_filter": "<string>",
"repo": "<string>",
"updated_at": "<string>"
},
"pulumi_config": {},
"pulumi_version": "<string>",
"references": [
"<string>"
],
"refs": [
{
"input": "<string>",
"name": "<string>",
"value": "<string>"
}
],
"runtime": "<string>",
"skip_noops": true,
"terraform_version": "<string>",
"type": "<string>",
"updated_at": "<string>",
"variables": {},
"variables_files": [
"<string>"
]
}
]{
"description": "<string>",
"error": "<string>",
"user_error": true
}{
"description": "<string>",
"error": "<string>",
"user_error": true
}{
"description": "<string>",
"error": "<string>",
"user_error": true
}{
"description": "<string>",
"error": "<string>",
"user_error": true
}{
"description": "<string>",
"error": "<string>",
"user_error": true
}get app sandbox configs
Returns all sandbox configurations for the provided app.
GET
/
v1
/
apps
/
{app_id}
/
sandbox-configs
get app sandbox configs
Authorizations
APIKeyOrgID
Type "Bearer" followed by a space and token.
Path Parameters
app ID
Query Parameters
offset of jobs to return
limit of jobs to return
page number of results to return
Response
OK
cloud specific fields
fields set via after query
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Operation roles map: operation type -> role name
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I